/***********************************************************
 * @Description : 
 * @author      : 梁山广(Laing Shan Guang)
 * @date        : 2019-05-17 07:50
 * @email       : liangshanguang2@gmail.com
 ***********************************************************/
package lsgwr.exam.exception;

import lsgwr.exam.enums.ResultEnum;
import lombok.Getter;

@Getter
public class ExamException extends RuntimeException {
    // 定义异常码
    private Integer code;

    // 构造函数，传入枚举类型
    public ExamException(ResultEnum resultEnum) {
        super(resultEnum.getMessage());
        this.code = resultEnum.getCode();
    }

    // 构造函数，传入异常码和异常信息
    public ExamException( Integer code, String message) {
        super(message);
        this.code = code;
    }
}